{
  "name": "troylusty.com",
  "type": "module",
  "version": "0.0.1",
  "scripts": {
    "dev": "npx astro dev",
    "build": "npx astro check && npx astro build",
    "preview": "npx astro preview",
    "astro": "astro",
    "format:check": "prettier --check .",
    "format:write": "prettier --write .",
    "update": "npx npm-check-updates -u && npm install"
  },
  "dependencies": {
    "@astrojs/check": "0.9.4",
    "@astrojs/mdx": "^4.3.1",
    "@astrojs/rss": "^4.0.12",
    "@astrojs/sitemap": "3.4.1",
    "@tailwindcss/vite": "^4.1.11",
    "astro": "^5.12.0",
    "astro-icon": "^1.1.5",
    "rehype-external-links": "^3.0.0",
    "tailwindcss": "^4.1.11",
    "typescript": "^5.8.3"
  },
  "devDependencies": {
    "@iconify-json/mdi": "^1.2.3",
    "@tailwindcss/typography": "^0.5.16",
    "@types/node": "^24.0.14",
    "npm-check-updates": "^18.0.1",
    "prettier": "^3.6.2",
    "prettier-plugin-astro": "^0.14.1",
    "prettier-plugin-tailwindcss": "^0.6.14"
  }
}
